Skip to content
Start here

Get Custom Domain Settings

r2.buckets.domains.custom.get(strdomain, CustomGetParams**kwargs) -> CustomGetResponse
GET/accounts/{account_id}/r2/buckets/{bucket_name}/domains/custom/{domain}

Get the configuration for a custom domain on an existing R2 bucket.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Workers R2 Storage WriteWorkers R2 Storage Read
ParametersExpand Collapse
account_id: str

Account ID.

maxLength32
bucket_name: str

Name of the bucket.

maxLength64
minLength3
domain: str

Name of the custom domain.

jurisdiction: Optional[Literal["default", "eu", "fedramp"]]

Jurisdiction where objects in this bucket are guaranteed to be stored.

One of the following:
"default"
"eu"
"fedramp"
ReturnsExpand Collapse
class CustomGetResponse:
domain: str

Domain name of the custom domain to be added.

enabled: bool

Whether this bucket is publicly accessible at the specified custom domain.

status: Status
ownership: Literal["pending", "active", "deactivated", 3 more]

Ownership status of the domain.

One of the following:
"pending"
"active"
"deactivated"
"blocked"
"error"
"unknown"
ssl: Literal["initializing", "pending", "active", 3 more]

SSL certificate status.

One of the following:
"initializing"
"pending"
"active"
"deactivated"
"error"
"unknown"
ciphers: Optional[List[str]]

An allowlist of ciphers for TLS termination. These ciphers must be in the BoringSSL format.

min_tls: Optional[Literal["1.0", "1.1", "1.2", "1.3"]]

Minimum TLS Version the custom domain will accept for incoming connections. If not set, defaults to 1.0.

One of the following:
"1.0"
"1.1"
"1.2"
"1.3"
zone_id: Optional[str]

Zone ID of the custom domain resides in.

zone_name: Optional[str]

Zone that the custom domain resides in.

Get Custom Domain Settings

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
custom = client.r2.buckets.domains.custom.get(
    domain="example-domain/custom-domain.com",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    bucket_name="example-bucket",
)
print(custom.domain)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "domain": "prefix.example-domain.one.com",
    "enabled": false,
    "status": {
      "ownership": "deactivated",
      "ssl": "pending"
    },
    "ciphers": [
      "string"
    ],
    "minTLS": "1.0",
    "zoneId": "36ca64a6d92827b8a6b90be344bb1bfd",
    "zoneName": "example-domain.one.com"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "domain": "prefix.example-domain.one.com",
    "enabled": false,
    "status": {
      "ownership": "deactivated",
      "ssl": "pending"
    },
    "ciphers": [
      "string"
    ],
    "minTLS": "1.0",
    "zoneId": "36ca64a6d92827b8a6b90be344bb1bfd",
    "zoneName": "example-domain.one.com"
  },
  "success": true
}